---
title: Window.opener
slug: Web/API/Window/opener
tags:
  - API
  - HTML DOM
  - NeedsExample
  - Property
  - Reference
  - Window
  - opener
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The {{domxref("Window")}} interface's <code><strong>opener</strong></code> property returns a reference to the window that opened the window, either with {{domxref("Window.open", "open()")}}, or by navigating a link with a {{htmlattrxref("target", "a")}} attribute.</span></p>

<p>In other words, if window <code>A</code> opens window <code>B</code>, <code>B.opener</code> returns <code>A</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <var>openerWindow</var> = window.opener
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Window")}}-like object referring to the window that opened the current window (using {{domxref("window.open()")}}, or by a link with {{htmlattrxref("target", "a")}} attribute set). If this window was not opened by being linked to or created by another, returns {{jsxref("null")}}.</p>

<p>If the opener is not on the same origin as the current page, functionality of the opener object is limited. For example, variables and functions on the window object are not accessible. However, navigation of the opener window is possible, which means that the opened page can open an URL in the original tab or window. In some cases, this makes phishing attacks possible, where a trusted page that is opened in the original window is replaced by a phishing page by the newly opened page.</p>

<p>In the following cases, the browser does not populate <code>window.opener</code>, but leaves it {{jsxref("null")}}:</p>

<ul>
 <li>The opener can be omitted by specifying <code>{{htmlattrxref("rel", "a")}}=noopener</code> on a link, or passing <code>noopener</code> in the {{domxref("Window.open", "windowFeatures")}} parameter.</li>
 <li>From Firefox 79, windows opened because of links with a {{htmlattrxref("target", "a")}} of <code>_blank</code> don't get an <code>opener</code>, unless explicitly requested with <code>{{htmlattrxref("rel", "a")}}=opener</code>.</li>
 <li>Having a {{HTTPHeader("Cross-Origin-Opener-Policy")}} header with a value of <code>same-origin</code> prevents setting <code>opener</code>. Since the new window is loaded in a different browsing context, it won't have a reference to the opening window.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'browsers.html#dom-opener', 'window.opener')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.opener")}}</p>
